$ErrorActionPreference  = 'Stop';
$toolsDir               = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$packageName            = 'vmware-horizon-client'
$fileType               = 'exe'
$url                    = 'https://download3.vmware.com/software/view/viewclients/CART21FQ1/VMware-Horizon-Client-5.4.4-16879994.exe'
$softwareName           = "VMware Horizon Client*"
$checksum               = '637ADFE10EF197DC831E71E1AF33215ADDA9A23B20A6D5F7AAE7D33DD8F44718'
$checksumType           = 'sha256'
$silentArgs             = '/silent /norestart'
$validExitCodes         = @(0, 3010, 1641)

	$packageArgs = @{
	  packageName       = $env:ChocolateyPackageName
	  fileType          = $fileType
	  url               = $url
	  softwareName      = $softwareName
	  checksum          = $checksum
	  checksumType      = $checksumType
	  silentArgs        = $silentArgs
	  validExitCodes    = $validExitCodes
	}

Install-ChocolateyPackage @packageArgs
